Subject: Re: [its] 802.11p and gcdc 2016 (was: long ago)

From: Alexandru Petrescu <[email-masked]>
Date: Tue, 26 Apr 2016 11:27:11 +0200

Hi Lei,

I hope the GCDC 2016 plan is advancing well.

Any idea what are the 802.11p drivers people will use at this event?  Is 
now 802.11p integrated in the mainline kernel?

Yours,

Alex

Le 27/10/2014 18:24, Lei Chen a écrit :
> Dear Alex,
>
> Thanks very much for the detailed explanation and also the
> opportunity to share with our community about GCDC 2016.
>
> Please see the following for details.
>
> Best regards, Lei
>
>> On 27 Oct 2014, at 16:08, Alexandru Petrescu
>> <[email-masked]> wrote:
>>
>> Dear Lei Chen,
>>
>> Thank you for the reply.
>>
>> Le 27/10/2014 14:03, Lei Chen a écrit :
>>> Dear all,
>>>
>>> Just a bit self introduction, we are working on the second
>>> edition of cooperative driving challenge (www.gcdc.net
>>> <http://www.gcdc.net>) and somehow we came across the same topics
>>> here.
>>
>> GCDC is the same organization that issued the first freely
>> available 802.11p driver?
>
> Last time, GCDC implemented 802.11p thanks to the work with Eric
> Koenders. It is open-source, I hope that is the same one you are
> talking about.
>>
>>> Thanks to Alex to bring this topic up, it is very relevant for
>>> the platoon applications.
>>>
>>> Basically, like Andras and John said, V2V through DSRC will be
>>> the first implementation for initial application of platooning.
>>> IP will most probably be used for Day2 applications that require
>>> more data communications, for example, video streaming between
>>> platoon vehicles or LDM.
>>
>> [LDM?  (light-based communications, LiFi?)]
>
> Sorry for that,  LDM = local dynamic map. Using DSRC and based on CAM
> messages, LDM is able to be constructed, but if we consider more
> accurate and complex LDM for environmental perception, I would say IP
> will be needed.
>
>>
>> I am happy to see IP communications are considered, even that is in
>> the second day.  I personally do not worry very much of being maybe
>> later, because I think IP will support more applications, currently
>> unspoken of.
>>
>>> It seems ETSI does this with an adaption layer (EN302 636-6-1,
>>> TS102 636-6-1) for IPv6 to work with GeoNet.
>>
>> Yes, there is an adaptation layer for IPv6 and geonet.  It may be
>> highly necessary in the initial steps of bringing IPv6 as close as
>> possible to the deployment.
>>
>> IPv6-straight-over-80211p also uses an Adaptation Layer (the
>> Ethernet Adaptation Layer used by 802.11b).
>>
>>> Anyway, GeoNet seems to be in the protocol stack for C-ITS no
>>> matter what.
>>
>> Thanks for the remark.  It is true that GeoNet of ETSI ITS is
>> present there but one should distinguish the cases where it is
>> absolutely necessary - something else can not do its role.  These
>> cases are the communications depending extensively on location:
>> geo-dissemination, etc.
>>
>
> Absolutely agree! In general, for infotainment application or less
> time critical applications, IP network (LTE for example) will be the
> best choice. However, for time critical applications or as you said,
> geo-dependent applications, GeoNet over 802.11p may be necessary, at
> least for the near future applications. If we consider further with
> 5G, where the latency is expected to be significantly reduced, I
> guess everything can be done through IP. But it is hard to draw
> conclusions about it at the current stage. Anyway,I guess the
> cross-layer Decentralized Congestion Control (DCC) in C-ITS should be
> able to take care of this based on the QoS requirement at the
> application layer and direct the traffic to appropriate transport and
> access methods, at least it is supposed to do this.
>
>>> If IPv6 is considered, then the transport layer will be TCP/UDP
>>> over IPv6 over GeoNet, though I am not sure about the protocol
>>> overhead. It is an interesting issue to investigate.
>>
>> Yes, it is an issue to investigate.
>>
>> At IETF there is a document called IPv6-over-80211p that I author.
>> The ideas expressed in this document could be used in this
>> investigation. The document itself lacks certain aspects that
>> anyone interested could contribute.
>
> Thanks, I am checking with the document, I would say IPv6 over
> 802.11p is absolutely an option and we are investigating the
> possibilities. I hope we can also contribute to this topic.
>
>>
>>> For platooning in Day1 applications, GeoNet (BTP and GeoNet for
>>> transport) over G5 maybe the most appropriate choice at the
>>> current stage because of the advantages of time delay.
>>
>> Not sure what you mean by 'time delay'?
>>
>> If you mean latency between vehicles, then I think 802.11p gives
>> better latency, in the order of tens of millseconds.
>>
>> Or you mean that products implementing ETSI ITS GeoNet have a time
>> advantage being already there?  If so then I agree with you.
>
> Yes, it is latency. 802.11p based access generally have better
> latency, and a light weight BTP&GeoNet also contributes to the
> latency issue. I guess IP over 802.11p may achieve similar latency
> performance, though I need to check a bit more over that. As for IPv6
> over GeoNet over 802.11p, as we already mentioned, the overhead is
> worth investigating further. It is also one topic we will look at.
>
>>
>>> We are looking at different implementations of GeoNet for
>>> potential deployment in GCDC. As we work towards Day2
>>> applications, IPv6 is potentially considered. INRIA has been
>>> working on the implementation through CarGeo6. If you guys have
>>> more information about the implementation now, it is very
>>> appreciated that you share with us.
>>
>> Sure, certainly.  I downloaded CarGeo6 and looked at the code.  I
>> have the feeling that with it a car sends its position to another
>> car.
>>
>> At my place we have another implementation of exchanging IPv6
>> routing information over 802.11p.  We also have an update version
>> of the original 802.11p GCDC driver for most recent linux kernels
>> as well as other reliability improvements.
>>
> We are investigating CarGeo6 now. But it is very interesting you have
> an update version of the 802.11p protocol. I am not sure if you
> already make it open source or not. If so, it will be absolutely a
> great help for us to check the possibilities of applying IPv6 over
> 802.11p. Could you indicate me how and where I can check and then I
> can talk with my colleagues both at Viktoria and TNO for further
> discussions? If we prove the performance with IP over 802.11p during
> the challenge, I would say that will be a great contribution to
> C-ITS, at least for some part. Thanks very much beforehand:-)
>
>>> Also, if you know teams that want to show their implementations
>>> of cooperative driving to the world, GCDC 2016 is the place to
>>> go. They are free to contact us for registration or check
>>> www.gcdc.net <http://www.gcdc.net> for details.
>>
>> YEs, this is a good announcement.  Please state here what are the
>> participating conditions - is it free to join, what are the fees
>> involved, in which country is it happening.
>
> Thanks Alex, it is my pleasure to share with our community the
> announcement.
>
> GCDC2016, or i-GAME (www.gcdc.net) is the second edition of GCDC
> based on its success in 2011 and with the purpose to accelerate
> cooperative driving through public challenge. GCDC2016 will mainly
> focus on the interoperability of communications, e.g. communications
> are vendor independent and teams are very welcome to implement based
> on different equipments from different vendors . However, the
> communications protocol will align to the latest C-ITS standards
> (Release 1) and potentially will contribute to Release 2.
>
> It is totally free to join the challenge and in addition to that,
> teams will get support from organizers (TNO and TU/e from holland,
> Viktoria Swedish ICT from Sweden and IDIADA from Spain). The final
> challenge will be Q2 2016 at the test site in Helmond in Holland,
> exactly the same test site as GCDC 2011. GCDC2016 have two challenge
> scenarios and one demo scenario. Challenge scenarios include both
> urban (intersection passing) and highway (platoon merge due to
> roadwork). Demo scenario is about emergency vehicle passing. All
> scenarios are defined to be close to reality and the implementations
> are also expected to be as close-to market as possible. We want to
> show the benefits of cooperative driving and also raise the awareness
> from both government and public.
>
> The call on registrations is on-going. Notice that the registration
> is not binding at this stage. Teams can show interest and ask for
> further information and if possible, the organizers may help to
> assist to find partners. Teams are also very welcome to contribute to
> the implementation of communication protocols together with us. Just
> drop us emails :-)
>
> For those who are interested, some general requirements are as
> follows, •A vehicle that will be fitted with the requirements
> •Minimum longitudinal automation •Interoperable V2X communication and
> interaction – will be tested both remotely online and physically at
> the challenge site •Drivers are in the vehicles, safety is critical
> •Drivers and support crew •Budget for travel, transport and
> subsistence •Taking part in preparative workshops and the rigorous
> functional testing before the challenge •Be ready by Spring 2016!
>
> In return, the teams will get •Once in a lifetime opportunity to work
> with universities, OEMs and authorities to forward the state of
> cooperative autonomous driving •Get in contact with world class
> companies and people in this field •Collaborate at the forefront of
> standardization efforts •Help your institution learn and build its
> reputation •Win the challenge and eternal fame!
>
> Just a video introduction of last time’s challenge
> (https://www.youtube.com/watch?v=lmRifLzw8iA) for those who are
> interested. Teams now can register at www.gcdc.net or contact the
> following people.
>
> For registration and team information:  [email-masked]
> (Laurens Schrijnemakers)
>
> For project information and collaboration: [email-masked] (Sander
> Maas)
>
> We sincerely look forward for teams from all over the world to
> participate :)
>
>>
>> Alex
>>
>>>
>>> Best regards, Lei
>>>
>>>
>>> *Lei Chen, PhD* Senior Researcher Cooperative Systems
>>>
>>>
>>>
>>> *Viktoria Swedish ICT AB* Lindholmspiren 3A SE-417 56 Göteborg,
>>> Sweden Tel: +46 76 777 1449 E-mail: [email-masked]
>>> <mailto:> www.viktoria.se <http://www.viktoria.se>
>>>
>>> Part of RISE
>>>
>>>> On 27 Oct 2014, at 12:22, Varadi , Andras (lesswire AG Ungarn)
>>>> <[email-masked] <mailto:[email-masked]>> wrote:
>>>>
>>>> Dear Alex, John I agree with John, but would like to point out
>>>> that I think its likely that we will need to extend EU
>>>> Geonetworking (EN 302 636) to work over IP (e.g. LTE) links
>>>> also. I think we will have such requirements for EU Day2 or 3
>>>> (2^nd , Third generation C-ITS) (example: update our Local
>>>> Dynamic Map with a new Warning message received over cellular
>>>> connection (not G5/11p)) Üdvözlettel / Best regards, András
>>>> Váradi Project Manager – C2X/ITS Systems
>>>>
>>>> Automotive & WLAN Group lesswire Hungary***|***Office: +36
>>>> 23521 667***|***Email:[email-masked]
>>>> <mailto:[email-masked]> *From:*its
>>>> [mailto:[email-masked]]*On Behalf Of*John Kenney
>>>> *Sent:*Saturday, October 25, 2014 1:45 AM *To:*Alexandru
>>>> Petrescu *Cc:[email-masked] <mailto:[email-masked]> *Subject:*Re:
>>>> [geonet/its] FYI - ETSI ITS - work on cooperative cruise
>>>> control, platooning Hi Alex, Thanks for sharing this. I think
>>>> many of us in the DSRC/Cooperative ITS community consider these
>>>> two applications to be a very natural fit for the technology.
>>>> Furthermore, my expectation is that the applications can work
>>>> well with one-hop V2V communication of the type that does not
>>>> typically use IP.  So, I don't see a benefit of including IP.
>>>> That doesn't mean it wouldn't work, but as you know the DSRC
>>>> community generally plans to use a lighter weight protocol,
>>>> WSMP, for applications that do not need IP.  I expect ETSI will
>>>> think along similar lines. Best Regards, John -- John Kenney
>>>> Principal Researcher Toyota InfoTechnology Center, USA 465
>>>> Bernardo Avenue Mountain View, CA 94043 Tel: 650-694-4160.
>>>> Mobile: 650-224-6644 On Fri, Oct 24, 2014 at 8:16 AM, Alexandru
>>>> Petrescu <[email-masked]
>>>> <mailto:[email-masked]>> wrote: Hello
>>>> geonet/itsers,
>>>>
>>>> ETSI ITS group is an SDO in Europe.  They produced many
>>>> standards in the past for vehicular communications, e.g. ETSI
>>>> ITS geo-networking among others.
>>>>
>>>> ETSI ITS recently agreed to start working on
>>>> pre-standardization items called "Cooperative Cruise Control"
>>>> and "Platooning".  These two applications make automobiles (and
>>>> trucks) talk to each other continuously to keep speed constant.
>>>> It helps relieve automobile driver stress in jam situation or
>>>> reduce gas consumption by 'platooning'.
>>>>
>>>> Currently the focus is on requirements including communication
>>>> requirements.
>>>>
>>>> In my oppinion, and this is why I forward it to this group,
>>>> establishing direct IP connections between vehicles may open
>>>> paths for exchanging IP data containing speed/location and
>>>> trigger a control process of adapting the speed.  One already
>>>> controls vehicles by sending IP data to them, from the
>>>> infrastructure.  It would be a simple matter for IP experts to
>>>> send that same data from other vehicle, without going to the
>>>> infrastructure.
>>>>
>>>> Thoughts?
>>>>
>>>> Yours,
>>>>
>>>> Alex
>>>>
>>>> _______________________________________________ its mailing
>>>> list [email-masked] <mailto:[email-masked]>
>>>> https://www.ietf.org/mailman/listinfo/its
>>>>
>>>>
>>>> _______________________________________________ its mailing
>>>> list [email-masked] <mailto:[email-masked]>
>>>> https://www.ietf.org/mailman/listinfo/its
>>>
>>
>>
>> _______________________________________________ its mailing list
>> [email-masked] https://www.ietf.org/mailman/listinfo/its
>
>

---

From: Lei Chen <[email-masked]>
Date: Tue, 26 Apr 2016 11:10:56 +0000

Thanks Alex, it is going well with GCDC2016. We have successfully conducted safety and communication test at the the test site in IDIADA.  We are now at the final stage of planning and the Challenge will be on 28 - 29 May. There will also be one week preparation workshop at Helmond, and one day congress following the challenge.

The 802.11p drivers is the one modified by CTU-IIG (https://github.com/CTU-IIG). As described here (https://github.com/alexvoronov/geonetworking/blob/master/HARDWARE.md) with my colleague Alex, it seems 802.11p is not yet very well integrated. And GCDC provides with a step by step installation guide for 802.11p on ALIX APU1D running Voyage. All information can be found at GCDC site (http://gcdc.net/en/).

Again, we take the opportunity to invite all ITS experts to come and join the challenge. Promise it will be exciting.

BR
Lei

On 26 Apr 2016, at 11:27, Alexandru Petrescu <[email-masked]<mailto:[email-masked]>> wrote:

Hi Lei,

Any idea what are the 802.11p drivers people will use at this event?  Is now 802.11p integrated in the mainline kernel?

Yours,

Alex

Best regards, Lei

On 27 Oct 2014, at 16:08, Alexandru Petrescu
<[email-masked]<mailto:[email-masked]>> wrote:

Dear Lei Chen,

Thank you for the reply.

Just a bit self introduction, we are working on the second
edition of cooperative driving challenge (www.gcdc.net<http://www.gcdc.net>
<http://www.gcdc.net>) and somehow we came across the same topics
here.

Also, if you know teams that want to show their implementations
of cooperative driving to the world, GCDC 2016 is the place to
go. They are free to contact us for registration or check
www.gcdc.net<http://www.gcdc.net> <http://www.gcdc.net> for details.

GCDC2016, or i-GAME (www.gcdc.net<http://www.gcdc.net>) is the second edition of GCDC

Just a video introduction of last time’s challenge
(https://www.youtube.com/watch?v=lmRifLzw8iA) for those who are
interested. Teams now can register at www.gcdc.net<http://www.gcdc.net> or contact the
following people.

For registration and team information:  [email-masked]<mailto:[email-masked]>
(Laurens Schrijnemakers)

For project information and collaboration: [email-masked]<mailto:[email-masked]> (Sander
Maas)

Alex

Best regards, Lei

*Viktoria Swedish ICT AB* Lindholmspiren 3A SE-417 56 Göteborg,
Sweden Tel: +46 76 777 1449 E-mail: [email-masked]<mailto:[email-masked]>
<mailto:> www.viktoria.se<http://www.viktoria.se> <http://www.viktoria.se>

Part of RISE

On 27 Oct 2014, at 12:22, Varadi , Andras (lesswire AG Ungarn)
<[email-masked]<mailto:[email-masked]> <mailto:[email-masked]>> wrote:

23521 667***|***Email:[email-masked]<http://lesswire.com>
Petrescu *Cc:[email-masked]<mailto:[email-masked]> <mailto:[email-masked]> *Subject:*Re:
Petrescu <[email-masked]<mailto:[email-masked]>

Thoughts?

Yours,

Alex

_______________________________________________ its mailing
list [email-masked]<mailto:[email-masked]> <mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/its

_______________________________________________ its mailing list
[email-masked]<mailto:[email-masked]> https://www.ietf.org/mailman/listinfo/its

---

From: Alex Voronov <[email-masked]>
Date: Tue, 26 Apr 2016 22:05:17 +0200

Hi All,

Here is a direct link to the document compiled during the preparation of
the GCDC2016 with the instructions to set up CTU-IIG drivers:
http://www.gcdc.net/images/doc/REP.802.11p-on-APU1D.pdf , which originate
from https://gist.github.com/lisovy/80dde5a792e774a706a9 .

One of the students participating in GCDC, Albin, even created a website
for the complete communication unit: http://rndits.com/

So 802.11p, and even GN\BTP\ASN.1\CAM+DENM seem to work :-)

Best Regards,

Alex Voronov

On 26 April 2016 at 13:10, Lei Chen <[email-masked]> wrote:

> Thanks Alex, it is going well with GCDC2016. We have successfully
> conducted safety and communication test at the the test site in IDIADA.  We
> are now at the final stage of planning and the Challenge will be on 28 - 29
> May. There will also be one week preparation workshop at Helmond, and one
> day congress following the challenge.
>
> The 802.11p drivers is the one modified by CTU-IIG (
> https://github.com/CTU-IIG). As described here (
> https://github.com/alexvoronov/geonetworking/blob/master/HARDWARE.md)
> with my colleague Alex, it seems 802.11p is not yet very well integrated.
> And GCDC provides with a step by step installation guide for 802.11p on
> ALIX APU1D running Voyage. All information can be found at GCDC site (
> http://gcdc.net/en/).
>
> Again, we take the opportunity to invite all ITS experts to come and join
> the challenge. Promise it will be exciting.
>
> BR
> Lei
>
> On 26 Apr 2016, at 11:27, Alexandru Petrescu <[email-masked]>
> wrote:
>
> Hi Lei,
>
> <[email-masked] <mailto:[email-masked] <[email-masked]>>>
> wrote:
>
> <mailto:[email-masked] <[email-masked]>> *From:*its
> [mailto:[email-masked] <[email-masked]>]*On Behalf Of*John
> Kenney
> Petrescu *Cc:[email-masked] <mailto:[email-masked] <[email-masked]>>
> *Subject:*Re:
> <mailto:[email-masked] <[email-masked]>>>
> wrote: Hello
> geonet/itsers,
>
> list [email-masked] <mailto:[email-masked] <[email-masked]>>
> [email-masked]